%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-tempest
Version:        10.3.1
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Tempest
License:        ASL 2.0

URL:            https://launchpad.net/puppet-tempest

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
# patches_ignore=DROP-IN-RPM
# patches_base=+1
Patch0001: 0001-ocata-Add-Puppet-package-to-bindep-for-module-build.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-vcsrepo
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Tempest

%prep
%setup -q -n openstack-tempest-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tempest/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tempest/



%files
%{_datadir}/openstack-puppet/modules/tempest/


%changelog
* Fri Nov 10 2017 shrjoshi <shrjoshi@redhat.com> 10.3.1-2
- Update patches

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 10.3.1-1
- Update to 10.3.1

* Tue Apr 11 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-3
- Deploy ec2-api test package from RDO when needed

* Wed Mar 22 2017 Steve Linabery <slinaber@redhat.com> 10.3.0-2
- Allow to set api_extensions to test for neutron

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 10.3.0-1
- Update to 10.3.0


